CREATE TABLE fnd_kf_adfbc_usages] (
    ENTERPRISE_ID               NUMBER(18, 0)     NOT NULL,
    TABLE_NAME                  VARCHAR2(120)     NOT NULL,
    TABLE_USAGE_CODE            VARCHAR2(160)     NOT NULL,
    ENTITY_OBJECT               VARCHAR2(960)     NOT NULL,
    PACKAGE_NAME                VARCHAR2(960)     NOT NULL,
    OBJECT_NAME_PREFIX          VARCHAR2(120)     NOT NULL,
    DEPLOYMENT_STATUS           VARCHAR2(120)     NOT NULL,
    DEPLOYMENT_ERROR_MESSAGE    VARCHAR2(4000),
    BI_FLATTENED_FACT_NAME      VARCHAR2(512) ,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    SEED_DATA_SOURCE            VARCHAR2(2048),
    TOPOLOGY_APP_SHORT_NAME     VARCHAR2(2000),
    ORA_SEED_SET1               VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2               VARCHAR2(4)       NOT NULL
);
